package cd.casic.ci.commons.bean.engine.postprocess;

import cd.casic.ci.commons.bean.engine.job.Tasks;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线后置处理模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Postprocess {

    private String postId;

    //名称
    private String postName;

    //类型 61:消息通知 71:bat脚本 72:sh脚本")
    private String taskType;

    //创建时间
    private String createTime;

    //任务id
    private String taskId;

    private String pipelineId;

    //任务详情
    private Object values;

    //任务
    private Tasks task;

    /**
     * 实例ID
     */
    private String instanceId;

    /**
     * 任务排序
     */
    private int taskSort;
}
