package cd.casic.ci.commons.bean.engine.postprocess;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线后置处理实例
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PostprocessInstance {

    private String id;

    //实例id
    private String instanceId;

    //任务实例id
    private String taskInstanceId;

    //日志地址
    private String postAddress;

    //运行时间
    private Integer postTime;

    //运行状态
    private String postState;
}
