package cd.casic.ci.commons.bean.process.setting;

import cd.casic.module.system.api.user.dto.AdminUserRespDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 主机组
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class AuthHostGroup {

    // ID
    private String groupId;

    // 名称
    private String groupName;

    //创建人
    private AdminUserRespDTO adminUserRespDTO;

    //是否公开 1：公开， 2：不公开
    private int authPublic;

    // 说明
    private String details;

    // 创建时间
    private String createTime;

    // 主机组
    private List<AuthHostGroupDetails> detailsList;
}
