package cd.casic.ci.commons.bean.process.setting;


import cd.casic.module.system.api.user.dto.AdminUserRespDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Group {

    // id
    private String id;

    // 环境名称
    private String groupName;

    // 创建时间
    private String createTime;

    private AdminUserRespDTO adminUserRespDTO;

    // 说明
    private String detail;
}
