package cd.casic.ci.commons.bean.support.count;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线运行统计模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineRunCount {

    /**
     * 日期
     */
    private String day;

    /**
     * 数量
     */
    private double number;
}
