package cd.casic.ci.commons.bean.support.count;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线运行结果统计模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineRunResultCount {

    /**
     * 日期
     */
    private String day;

    /**
     * 总数
     */
    private Integer allNumber;

    /**
     * 成功次数
     */
    private double successNumber;

    /**
     * 成功率
     */
    private String successRate;

    /**
     * 失败次数
     */
    private double errorNumber;

    /**
     * 暂停次数
     */
    private double haltNumber;

    /**
     * 执行时间
     */
    private String execTime;
}
