package cd.casic.module.process.message.message.model;

import cd.casic.module.process.privilege.vRole.model.VRoleDomain;
import cd.casic.module.process.user.user.User;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.util.List;
@Data
public class SendMessageNotice {
    private String id;
    private String siteData;
    private String emailData;
    private String qywechatData;
    private String dingdingData;
    private String appData;
    private String domainId;
    private VRoleDomain vRoleDomain = new VRoleDomain();
    @NotNull
    private String baseUrl;
    private String link;
    private String action;
    private String sendId;
    private List<User> userList;
}
