package cd.casic.module.process.message.model.message;

import cd.casic.ci.commons.bean.order.Order;
import cd.casic.ci.commons.bean.order.OrderBuilders;
import cd.casic.framework.commons.pojo.PageParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
@Data
public class MessageNoticeQuery implements Serializable {
    private String messageTypeId;
    private String messageSendTypeId;
    private Integer type;
    private int scope = 1;
    private String bgroup;
    private List<Order> orderParams = OrderBuilders.instance().desc("type").get();
    private PageParam pageParam = new PageParam();
}
