package cd.casic.module.process.support.postprocess.dao;

import cd.casic.ci.commons.bean.engine.postprocess.Postprocess;
import cd.casic.framework.mybatis.core.mapper.BaseMapperX;
import cd.casic.module.process.support.postprocess.entity.PostprocessDo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author by mianbin
 * @Classname PostprocessDao
 * @Description TODO
 * @Date 2025/4/23 16:52
 */
@Mapper
public interface PostprocessDao extends BaseMapperX<PostprocessDo> {
    List<PostprocessDo> findTaskPost(String taskId);

    List<PostprocessDo> findPipelinePost(String pipelineId);

    String createPost(PostprocessDo postprocessEntity);

    void deletePost(String postprocessId);

    PostprocessDo findOnePost(String postprocessId);

    List<Postprocess> findAllPost();

    List<Postprocess> findAllPostList(List<String> idList);

    void updatePost(PostprocessDo map);
}
