package cd.casic.ci.commons.bean.process.setting;


import cd.casic.framework.commons.pojo.PageParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线第三方模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class AuthThirdQuery {

    //类型 1. gitee 2. github 3.sonar 4.nexus"
    private String type;

    //认证类型 1.用户名密码 2. 通用认证
    private int authType;

    //服务名称
    private String name;

    //createTime
    private String createTime;

    private String serverAddress;

    private String usrId;

    //是否公开
    private int authPublic;

    //分页参数
    private PageParam pageParam = new PageParam();

    //排序参数
    private Object orderParams;

}


























