package cd.casic.ci.commons.bean.support.count;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线调查统计模型
 * @Date 2025/4/22 8:45
 */

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineSurveyResultCount {

    // 成功数
    private Long successNumber;

    // 失败数
    private Long errorNumber;

    // 停止数
    private Long haltNumber;

    // 平均执行时长
    private String runTime;

}
